Wingfield Logo
Wingfield Partner API
Session

Get session details

GET
/api/v1/sessions/{sessionId}

Retrieve full details for a session. Access is granted when all session participants are linked to your external service.

Required Scopes:
userread

Path Parameters

sessionId*string

Wingfield session identifier.

Formatuuid

Error Responses

400

invalid_schema

Request validation failed.

401

missing_api_token

No authentication token provided.

401

invalid_api_token

Invalid or expired authentication token.

403

scope_permission_denied

Insufficient permissions for this operation.

403

user_access_denied

Service is not granted access to the user.

404

session_not_found

Session was not found.

curl -X GET "https://dev.wingfield.systems/api/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08"

{
  "id": "0198a3e2-5b1c-7d2e-8f30-1a2b3c4d5e6f",
  "type": "MATCH",
  "sportType": "TENNIS",
  "durationSeconds": 5400,
  "startedAt": "2026-08-01T10:00:00Z",
  "numRalliesShotCount0To4": 38,
  "numRalliesShotCount5To8": 21,
  "numRalliesShotCount9AndMore": 9,
  "teams": [
    {
      "users": [
        {
          "id": "0198a3e2-0001-7aaa-8000-000000000001",
          "name": "Ada Lovelace"
        }
      ],
      "numServes": 52,
      "averageSpeedServesKmh": 152.4,
      "maxSpeedServesInKmh": 178.2,
      "numGroundstrokes": 96,
      "averageSpeedGroundstrokesKmh": 82.7,
      "maxSpeedGroundstrokesInKmh": 118.5,
      "numVolleys": 14,
      "averageSpeedVolleysKmh": 54.1,
      "maxSpeedVolleysInKmh": 76.3,
      "numFirstServes": 40,
      "numSecondServes": 12,
      "numFirstServesIn": 28,
      "numSecondServesIn": 9,
      "ratioFirstServesIn": 0.7,
      "ratioSecondServesIn": 0.75,
      "numServePoints": 40,
      "numFirstServePoints": 28,
      "numSecondServePoints": 12,
      "numServePointsWon": 27,
      "numFirstServePointsWon": 21,
      "numSecondServePointsWon": 6,
      "ratioFirstServePointsWon": 0.75,
      "ratioSecondServePointsWon": 0.5,
      "numWinners": 18,
      "numErrors": 22,
      "numAces": 6,
      "numDoubleFaults": 2,
      "score": {
        "sets": [
          {
            "numGamesWon": 6
          },
          {
            "numGamesWon": 4
          },
          {
            "numGamesWon": 7,
            "tieBreak": {
              "numPointsWon": 7
            }
          }
        ]
      }
    },
    {
      "users": [
        {
          "id": "0198a3e2-0002-7bbb-8000-000000000002",
          "name": "Bram Moolenaar"
        }
      ],
      "numServes": 40,
      "averageSpeedServesKmh": 141.9,
      "maxSpeedServesInKmh": 169.8,
      "numGroundstrokes": 88,
      "averageSpeedGroundstrokesKmh": 79.2,
      "maxSpeedGroundstrokesInKmh": 109.4,
      "numVolleys": 0,
      "averageSpeedVolleysKmh": null,
      "maxSpeedVolleysInKmh": null,
      "numFirstServes": 32,
      "numSecondServes": 8,
      "numFirstServesIn": 24,
      "numSecondServesIn": 6,
      "ratioFirstServesIn": 0.75,
      "ratioSecondServesIn": 0.75,
      "numServePoints": 32,
      "numFirstServePoints": 24,
      "numSecondServePoints": 8,
      "numServePointsWon": 20,
      "numFirstServePointsWon": 18,
      "numSecondServePointsWon": 2,
      "ratioFirstServePointsWon": 0.75,
      "ratioSecondServePointsWon": 0.25,
      "numWinners": 12,
      "numErrors": 25,
      "numAces": 3,
      "numDoubleFaults": 4,
      "score": {
        "sets": [
          {
            "numGamesWon": 4
          },
          {
            "numGamesWon": 6
          },
          {
            "numGamesWon": 6,
            "tieBreak": {
              "numPointsWon": 3
            }
          }
        ]
      }
    }
  ]
}

{
  "error": {
    "type": "invalid_schema",
    "message": "string",
    "issues": [
      {}
    ]
  }
}
{
  "error": {
    "type": "missing_api_token",
    "message": "string"
  }
}
{
  "error": {
    "type": "scope_permission_denied",
    "message": "string"
  }
}
{
  "error": {
    "type": "session_not_found",
    "message": "string"
  }
}